echo off
echo "---------------------KeyWild CAD Library Europe Map-------------------------"
echo "                 Number of script files for this series:           95"
echo "               Total number of segments for this series:        3,659"
echo "         Total number of 'Coast' points for this series:      338,058"
echo "       Total number of 'Boundry' points for this series:       48,447"
echo "         Total number of 'River' points for this series:      196,266"
echo "                 Total number of points for this series:      582,771"
echo "----------------------------------------------------------------------------"
rem Designate your working directoy here. The scripts folder should be be under it.
set WorkDir=%HOMEPATH%\Documents\My Drawings\KW_WorldMap

rem Designate the CAD Program Path in here
rem set CadProg=C:\Program Files\Dassault Systemes\DraftSight\bin\DraftSight.exe
rem set CadProg=C:\Program Files\Bricsys\BricsCAD V13 en_US\bricscad.exe
set CadProg=C:\Program Files\Corel\CorelCAD 2013\BIN\CorelCAD.exe
rem set CadProg=C:\Program Files (x86)\Dassault Systemes\DraftSight\bin\DraftSight.exe
rem set CadProg=C:\Program Files (x86)\ITC\IntelliCAD 7.2 Professional\icad.exe
rem Set CadProg=C:\Program Files (x86)\ProgeCAD\progeCAD 2013 Professional ENG\icad.exe
rem Set CadProg=C:\Program Files (x86)\Corel\CorelCAD\BIN\CorelCAD.exe
C:
cd "%WorkDir%"

copy "%WorkDir%\scripts-small\ablank.dwg"  "%WorkDir%\Europe_map.dwg"
Time /T > Europe_map_times.txt
Time /T
timer.exe >> Europe_map_times.txt

rem comment out the lines for the detail level that you do not want
rem some cad programs use /L to supress the display of the splash screen
rem others ignore the /L (at least that has been my expierence).

echo europe-boundaries(01)-000.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-boundaries(01)-000.scr"
echo europe-boundaries(01)-001.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-boundaries(01)-001.scr"
echo europe-boundaries(01)-002.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-boundaries(01)-002.scr"
echo europe-boundaries(01)-003.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-boundaries(01)-003.scr"
echo europe-boundaries(01)-004.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-boundaries(01)-004.scr"
echo europe-boundaries(01)-005.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-boundaries(01)-005.scr"
echo europe-boundaries(01)-006.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-boundaries(01)-006.scr"
echo europe-boundaries(03)-007.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-boundaries(03)-007.scr"
echo europe-coasts(01)-008.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-008.scr"
echo europe-coasts(01)-009.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-009.scr"
echo europe-coasts(01)-010.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-010.scr"
echo europe-coasts(01)-011.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-011.scr"
echo europe-coasts(01)-012.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-012.scr"
echo europe-coasts(01)-013.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-013.scr"
echo europe-coasts(01)-014.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-014.scr"
echo europe-coasts(01)-015.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-015.scr"
echo europe-coasts(01)-016.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-016.scr"
echo europe-coasts(01)-017.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-017.scr"
echo europe-coasts(01)-018.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-018.scr"
echo europe-coasts(01)-019.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-019.scr"
echo europe-coasts(01)-020.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-020.scr"
echo europe-coasts(01)-021.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-021.scr"
echo europe-coasts(01)-022.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-022.scr"
echo europe-coasts(01)-023.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-023.scr"
echo europe-coasts(01)-024.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-024.scr"
echo europe-coasts(01)-025.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-025.scr"
echo europe-coasts(01)-026.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-026.scr"
echo europe-coasts(01)-027.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-027.scr"
echo europe-coasts(01)-028.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-028.scr"
echo europe-coasts(01)-029.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-029.scr"
echo europe-coasts(01)-030.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-030.scr"
echo europe-coasts(01)-031.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-031.scr"
echo europe-coasts(01)-032.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-032.scr"
echo europe-coasts(01)-033.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-033.scr"
echo europe-coasts(01)-034.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-034.scr"
echo europe-coasts(01)-035.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-035.scr"
echo europe-coasts(01)-036.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-036.scr"
echo europe-coasts(01)-037.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-037.scr"
echo europe-coasts(01)-038.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(01)-038.scr"
echo europe-coasts(02)-039.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(02)-039.scr"
echo europe-coasts(02)-040.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(02)-040.scr"
echo europe-coasts(02)-041.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(02)-041.scr"
echo europe-coasts(02)-042.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(02)-042.scr"
echo europe-coasts(02)-043.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(02)-043.scr"
echo europe-coasts(03)-044.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(03)-044.scr"
echo europe-coasts(03)-045.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(03)-045.scr"
echo europe-coasts(03)-046.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(03)-046.scr"
echo europe-coasts(03)-047.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(03)-047.scr"
echo europe-coasts(03)-048.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(03)-048.scr"
echo europe-coasts(04)-049.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(04)-049.scr"
echo europe-coasts(04)-050.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(04)-050.scr"
echo europe-coasts(04)-051.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(04)-051.scr"
echo europe-coasts(04)-052.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(04)-052.scr"
echo europe-coasts(04)-053.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(04)-053.scr"
echo europe-coasts(04)-054.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(04)-054.scr"
echo europe-coasts(04)-055.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(04)-055.scr"
echo europe-coasts(04)-056.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(04)-056.scr"
echo europe-coasts(04)-057.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(04)-057.scr"
echo europe-coasts(04)-058.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(04)-058.scr"
echo europe-coasts(04)-059.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(04)-059.scr"
echo europe-coasts(04)-060.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(04)-060.scr"
echo europe-coasts(15)-061.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-coasts(15)-061.scr"
echo europe-rivers(01)-062.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(01)-062.scr"
echo europe-rivers(01)-063.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(01)-063.scr"
echo europe-rivers(01)-064.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(01)-064.scr"
echo europe-rivers(01)-065.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(01)-065.scr"
echo europe-rivers(02)-066.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(02)-066.scr"
echo europe-rivers(02)-067.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(02)-067.scr"
echo europe-rivers(02)-068.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(02)-068.scr"
echo europe-rivers(02)-069.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(02)-069.scr"
echo europe-rivers(02)-070.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(02)-070.scr"
echo europe-rivers(02)-071.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(02)-071.scr"
echo europe-rivers(03)-072.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(03)-072.scr"
echo europe-rivers(03)-073.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(03)-073.scr"
echo europe-rivers(03)-074.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(03)-074.scr"
echo europe-rivers(03)-075.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(03)-075.scr"
echo europe-rivers(03)-076.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(03)-076.scr"
echo europe-rivers(03)-077.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(03)-077.scr"
echo europe-rivers(03)-078.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(03)-078.scr"
echo europe-rivers(04)-079.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(04)-079.scr"
echo europe-rivers(04)-080.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(04)-080.scr"
echo europe-rivers(04)-081.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(04)-081.scr"
echo europe-rivers(04)-082.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(04)-082.scr"
echo europe-rivers(04)-083.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(04)-083.scr"
echo europe-rivers(04)-084.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(04)-084.scr"
echo europe-rivers(04)-085.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(04)-085.scr"
echo europe-rivers(04)-086.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(04)-086.scr"
echo europe-rivers(04)-087.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(04)-087.scr"
echo europe-rivers(04)-088.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(04)-088.scr"
echo europe-rivers(04)-089.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(04)-089.scr"
echo europe-rivers(04)-090.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(04)-090.scr"
echo europe-rivers(04)-091.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(04)-091.scr"
echo europe-rivers(05)-092.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(05)-092.scr"
echo europe-rivers(10)-093.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(10)-093.scr"
echo europe-rivers(11)-094.scr
"%CadProg%" /L  "%WorkDir%\Europe_map.dwg"  /b "%WorkDir%\scripts-small\europe-rivers(11)-094.scr"

Time /T >> Europe_map_times.txt
timer.exe /s /n /nologo >> Europe_map_times.txt
rem Timer 2.2 - Copyright (C) 2005-2011 by Greg Wittmeyer - All Rights Reserved
rem http://www.gammadyne.com

rem --- end of file ---